<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerUsedRam](./bitburner.ns.getserverusedram.md)

## NS.getServerUsedRam() method

Get the used RAM on a server.

<b>Signature:</b>

```typescript
getServerUsedRam(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

<b>Returns:</b>

number

used ram (GB)

## Remarks

RAM cost: 0.05 GB

